<bugID>836044<Summary>Aurora stub installer doesn't seem to be working</Summary><Description>I've been trying to install Aurora on a Windows 7 VM today, and I haven't been able to successfully run the stub installer to completion. It stalls at "Installing."

I tried at least 5 times from here: http://www.mozilla.org/en-US/firefox/channel/#aurora</Description></bugID>